<?php
    /* vim: set expandtab tabstop=4 shiftwidth=4: */
    // +----------------------------------------------------------------------+
    // | PHP version 5                                                        |
    // +----------------------------------------------------------------------+
    // | Copyright (c) 1997-2004 The PHP Group                                |
    // +----------------------------------------------------------------------+
    // | This source file is subject to version 3.0 of the PHP license,       |
    // | that is bundled with this package in the file LICENSE, and is        |
    // | available through the world-wide-web at the following url:           |
    // | http://www.php.net/license/3_0.txt.                                  |
    // | If you did not receive a copy of the PHP license and are unable to   |
    // | obtain it through the world-wide-web, please send a note to          |
    // | license@php.net so we can mail you a copy immediately.               |
    // +----------------------------------------------------------------------+
    // | Authors: Claudio Bustos <cdx@users.sourceforge.net>                  |
    // |          Jens Bierkandt <schtorch@users.sourceforge.net>             |
    // +----------------------------------------------------------------------+
    //
    // $Id:
require_once "PHPUnit.php";
require_once "PHP/Beautifier.php";

class BeautifierTestCase extends PHPUnit_TestCase {  
  function setUp() 
  {
      $this->oBeaut=new PHP_Beautifier();
      $this->oBeaut->setInputFile(__FILE__);
  }  
  function TextTestCase($name) 
  {
    $this->PHPUnit_TestCase($name);
  }
function testsetInputFile() {
    $this->assertTrue($this->oBeaut->setInputFile(__FILE__));
    try {
        $this->assertFalse($this->oBeaut->setInputFile('NO_FILE'));
    } catch (Exception $oExp) {
        $this->assertTrue($oExp instanceof Exception);
    }
}
  
  function testnormalizeDir(){ 
      $sDir=str_replace(DIRECTORY_SEPARATOR,'/',dirname(__FILE__)).'/';
      $this->assertEquals($sDir, $this->oBeaut->normalizeDir(dirname(__FILE__)));
      
  }  
  function testaddFilterDirectory() {
      $sDir=$this->oBeaut->normalizeDir(dirname(__FILE__));
      $this->oBeaut->addFilterDirectory($sDir);
      $aDirs=$this->oBeaut->getFilterDirectories();
      $this->assertEquals(end($aDirs),$sDir);
}
function testgetFilterList() {
    $aFilterList=array('Default');
    $this->assertEquals($aFilterList,$this->oBeaut->getFilterList());
}

function testaddFilter() {
    $this->oBeaut->addFilter('Pear');
    $aFilterList=array('Pear','Default');
    $this->assertEquals($aFilterList,$this->oBeaut->getFilterList());
    
}
public function testgetFilterListTotal() {
    $aEspFilters=array('Default','ListClassFunction','Pear','ArrayNested');
    sort($aEspFilters);
    $aRealFilters=$this->oBeaut->getFilterListTotal();
    $this->assertEquals($aEspFilters,$aRealFilters);    
}
function testgetFilesByPattern() {
    $sDir=$this->oBeaut->normalizeDir(dirname(__FILE__));
    $aExpected=array($sDir.'Beautifier.phpt');
    $this->assertEquals($aExpected,$this->oBeaut->getFilesByPattern($sDir,'Beautifier\.....',false));
}
function testsetIndentChar() {
    $this->oBeaut->setIndentChar('*');
    $this->assertEquals('*',$this->oBeaut->sIndentChar);
}
function testsetIndentNumber() {
     $this->oBeaut->setIndentNumber('5');
    $this->assertEquals(5,$this->oBeaut->iIndentNumber);   
}
function testsetNewLine() {
    $this->oBeaut->setNewLine("\r\n");
    $this->assertEquals("\r\n",$this->oBeaut->sNewLine);   
}
function testsetOutputFile() {
    $this->oBeaut->setOutputFile('test.php');
    $this->assertEquals("test.php",$this->oBeaut->sOutputFile);
}
/*
function testGetFilterDescription() {
}
function testsave() {
}
function testsetString() { 
}
function testresetProperties() { 
}
function testprocess() {
}
function testgetTokenAssoc() { 
}
function testgetTokenAssocText() { 
}
function testreplaceTokenAssoc() { 
}
function testgetTokenFunction() { 
}
function testcontrolToken() { 
}
function testcontrolTokenPost() { 
}
function testpushControlSeq() { 
}
function testpopControlSeq() {
}
function testpushControlParenthesis() { 
}
function testpopControlParenthesis() {
}
function testsetBeautify() {
}
function testshow() {
}
function testget() {
}
function testgetSetting() { 
}
function testgetControlSeq() { 
}
function testgetControlParenthesis() { 
}
function testsetMode() { 
}
function testunsetMode() { 
}
function testgetMode() { 
}
function testadd() { 
}
function testpop() { 
}
function testaddNewLine() {
}
function testaddIndent() {
}
function testgetPreviousToken() { 
}
function testgetPreviousTokenConstant() { 
}
function testgetPreviousTokenContent() { 
}
function testgetNextToken() { 
}
function testgetNextTokenConstant() { 
}
function testgetNextTokenContent() { 
}
function testremoveWhitespace() {
}
*/
}
$suite = new PHPUnit_TestSuite('BeautifierTestCase');
$result = PHPUnit::run($suite);
echo $result->toString();
?>